Bug 439739 - iwl3945 microcode software error causes connection to drop
iwl3945 microcode software error causes connection to drop
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-30 22:59 EDT by John Ruemker
Modified: 2008-04-25 16:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-25 16:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
iwl3945 circular locking dependency traceback (7.68 KB, text/plain)
2008-03-30 22:59 EDT, John Ruemker
no flags Details
iwl3945 debug output for 2.6.25-0.200.rc8.git3.fc9.i686 (3.81 MB, application/octet-stream)
2008-04-06 22:58 EDT, John Ruemker
no flags Details
iwl3945 debug messages from kernel-2.6.25-rc8-wl (2.30 MB, application/octet-stream)
2008-04-12 10:14 EDT, John Ruemker
no flags Details

  None (edit)
Description John Ruemker 2008-03-30 22:59:47 EDT
Description of problem:  Running on F9 rawhide kernel
2.6.25-0.172.rc7.git4.fc9.i686 using iwl3945, the wireless connection will die
every few minutes.  the following error sequence is seen in messages every time:

     kernel: iwl3945: Microcode SW error detected.  Restarting 0x82000008.
     kernel: iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x02F2
ser 0x0000004B
     kernel: iwl3945: Can't stop Rx DMA.
     kernel: Registered led device: iwl-phy1:radio
     kernel: Registered led device: iwl-phy1:assoc
     kernel: Registered led device: iwl-phy1:RX
     kernel: Registered led device: iwl-phy1:TX
     avahi-daemon[2231]: Interface wlan0.IPv4 no longer relevant for mDNS.
     avahi-daemon[2231]: Leaving mDNS multicast group on interface wlan0.IPv4
with address
     dhclient: receive_packet failed on wlan0: Network is down

To fix this I have to unload/reload the module and reestablish the connection
with NetworkManager.  

In addition, I am seeing a "possible circular locking dependency detected"
message followed by a traceback in messages which I will attach.  

Version-Release number of selected component (if applicable):  iwl3945-1.2.26kds

How reproducible:  Every few minutes 

Steps to Reproduce:
1.  Start NetworkManager and connect to wireless network using iwl3945
2.  Generate network traffic for a few minutes
Actual results:  Eventually connection will die and errors output in messages. 
NetworkManager will still show the connection as active but no more data is
received over the network

Expected results:  Connection should stay active

Additional info:  None.

Let me know if I can provide any other info
Comment 1 John Ruemker 2008-03-30 22:59:47 EDT
Created attachment 299660 [details]
iwl3945 circular locking dependency traceback
Comment 2 John W. Linville 2008-03-31 09:52:08 EDT
The message in comment 1 is covered by bug 438584.
Comment 3 John Ruemker 2008-04-06 22:55:53 EDT
I've reproduced the problem with the F8 gold kernel as well as the latest F8, so
it doesn't seem to have been introduced by any recent changes.  Attaching logs
from 0x43fff debug level using 2.6.25-0.200.rc8.git3.fc9.i686.  Let me know if
there's any other info that will be helpful
Comment 4 John Ruemker 2008-04-06 22:58:15 EDT
Created attachment 301458 [details]
iwl3945 debug output for 2.6.25-0.200.rc8.git3.fc9.i686
Comment 5 John Ruemker 2008-04-12 10:13:14 EDT
I tried the kernel from the latest intellinuxwireless git repo (2.6.25-rc8-wl)
and the Microcode error still occurs but the connection does not die afterwards.
 Previously, after the error the connection would stall until I would have to
remove the module, restart the network, and restart NetworkManager.  Now it just
continues with what it was doing. 

Debug messages from this version are attached. 
Comment 6 John Ruemker 2008-04-12 10:14:57 EDT
Created attachment 302216 [details]
iwl3945 debug messages from kernel-2.6.25-rc8-wl
Comment 7 John Ruemker 2008-04-25 16:36:38 EDT
I've gotten a different router and I am no longer seeing the problem, so closing
this out.  However I did reproduce it on 2 different routers of different
brands, so I don't think it was specific to that router.  Both had N
capabilities afaik if that's relevant.  

Note You need to log in before you can comment on or make changes to this bug.